# $Revision: 1.24 $, $Date: 2005/08/11 21:43:18 $
#
# Conditional build
%bcond_with	ladcca	# build with LADCCA support
#
Summary:	MIDI controlled audio sampler
Summary(pl):	Kontrolowany przez MIDI sampler dwikowy
Name:		specimen
Version:	0.5.1
Release:	1
License:	GPL v2
Group:		X11/Applications/Sound
Source0:	http://www.gazuga.net/files/%{name}-%{version}.tar.gz
# Source0-md5:	278f1f66add761feb1fa16cf0502f70f
Source1:	%{name}.desktop
Patch0:		%{name}-64bit.patch
URL:		http://www.gazuga.net/
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 2:2.4
BuildRequires:	jack-audio-connection-kit-devel >= 0.90.0
%{?with_ladcca:BuildRequires:	ladcca-devel >= 0.4.0}
BuildRequires:	libgnomecanvas-devel >= 2.0
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	perl-base
BuildRequires:	phat-devel >= 0.2.2
BuildRequires:	pkgconfig
Requires:	gtk+2 >= 2:2.4
Requires:	jack-audio-connection-kit >= 0.90.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Specimen is a MIDI controlled audio sampler for GNU/Linux systems. It
allows to create music using various sound files, or "samples", in
tandem with a midi sequencer.

%description -l pl
Specimen jest kontrolowanym z poziomu MIDI samplerem dwikowym dla
systemw GNU/Linux. Pozwala na tworzenie muzyki z przernych plikw
dwikowych czy te "sampli" w poczeniu z sekwencerem MIDI.

%prep
%setup -q
%patch0 -p1

# workaround for variables names
echo 'm4_pattern_allow(PKG_CFLAGS)' > acinclude.m4
echo 'm4_pattern_allow(PKG_LIBS)' >> acinclude.m4
echo 'm4_pattern_allow(PKG_PKG_ERRORS)' >> acinclude.m4

%{__perl} -pi -e 's/CFLAGS="-O3"/:/' configure.ac

%build
%{__libtoolize}
%{__aclocal} -I .
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-ladcca=%{?with_ladcca:yes}%{!?with_ladcca:no}
	
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
	
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/specimen
%{_datadir}/specimen/pixmaps
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: specimen.spec,v $
Revision 1.24  2005/08/11 21:43:18  freetz
- cleaned up after brain damage, BR: libtool (libtoolize added previously)

Revision 1.23  2005/08/11 21:38:29  freetz
- 0.5.1, workaround for variables names added

Revision 1.22  2005/07/11 21:54:56  freetz
- 0.5.0

Revision 1.21  2005/03/30 15:24:06  darekr
- ops, ..and typo

Revision 1.20  2005/03/30 15:23:13  darekr
- BR: perl-base

Revision 1.19  2004/11/05 06:54:57  ankry
- OOPS

Revision 1.18  2004/11/05 06:52:46  ankry
- fix for 64-bit archs, rel. 3

Revision 1.17  2004/11/04 11:51:07  paladine
- rel 2 for fixed desktop file

Revision 1.16  2004/10/11 20:28:43  freetz
- 0.4.5

Revision 1.15  2004/09/30 16:21:05  freetz
- 0.4.4, BR: phat-devel

Revision 1.14  2004/08/29 21:41:36  darekr
- update to 0.4.3

Revision 1.13  2004/07/24 11:12:57  freetz
- 0.4.2

Revision 1.12  2004/07/07 09:42:59  qboosh
- added versions to some deps, hack configure.ac to use our optflags

Revision 1.11  2004/06/21 21:35:52  freetz
- 0.4.0

Revision 1.10  2004/06/18 15:13:13  freetz
- please _build_ before commiting
- include . m4 for aclocal macro

Revision 1.9  2004/06/18 09:40:22  paszczus
- updated to 0.3.2

Revision 1.8  2004/06/12 08:46:01  freetz
- even more sampling :) - 0.3.0 release

Revision 1.7  2004/05/29 09:53:59  freetz
- BRs s/ladcca/ladcca-devel

Revision 1.6  2004/05/29 09:50:47  freetz
- 0.2.9 "i'm not dead yet" release
- ladcca support added (bconded)
- more BRs, pl fix

Revision 1.5  2004/03/24 00:09:21  freetz
- 0.2.4. %%files updated

Revision 1.4  2004/02/23 00:27:17  freetz
- 0.2.1

Revision 1.3  2004/02/21 21:14:42  freetz
- even more cosmetics

Revision 1.2  2004/02/21 21:09:38  freetz
- cosmetics

Revision 1.1  2004/02/21 20:59:21  freetz
- initial PLD release
